LiVES 2.4.6

- Main Page
- Namespaces
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

All Data Structures Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros
Data Fields
lives_audio_buf_t Struct Reference

`#include <audio.h>`

## Data Fields
lives_operation_t | operation
volatile boolean | is_ready
boolean | eof
| did we read EOF ? [readonly by client] More...
int | fileno
off_t | seek
weed_timecode_t | start_tc
double | arate
ssize_t | bytesize
boolean | in_interleaf
boolean | out_interleaf
int | in_achans
| channels for _filebuffer side More...
int | out_achans
| channels for buffer* side More...
int | in_asamps
int | out_asamps
int | swap_sign
int | swap_endian
double | shrink_factor
| resampling ratio More...
size_t | samp_space
| buffer space in samples (* by sizeof(type) to get bytesize) [if interleaf, also * by chans] More...
uint8_t ** | buffer8
| sample data in 8 bit format (or NULL) More...
short ** | buffer16
| sample data in 16 bit format (or NULL) More...
int32_t ** | buffer24
| sample data in 24 bit format (or NULL) More...
int32_t ** | buffer32
| sample data in 32 bit format (or NULL) More...
float ** | bufferf
| sample data in float format (or NULL) More...
boolean | s8_signed
boolean | s16_signed
boolean | s24_signed
boolean | s32_signed
size_t | samples_filled
| number of samples filled (readonly client) More...
size_t | start_sample
| used for reading (readonly server) More...
uint8_t * | _filebuffer
| raw data to/from file - can be cast to int16_t More...
ssize_t | _cbytesize
| current _filebuffer bytesize; if this changes we need to realloc _filebuffer More...
size_t | _csamp_space
| current sample buffer size in single channel samples More...
int | _fd
| file descriptor More...
int | _cfileno
| current fileno More...
int | _cseek
| current seek pos More...
int | _cachans
| current output channels More...
int | _cin_interleaf
int | _cout_interleaf
int | _casamps
| current out_asamps More...
volatile boolean | die
| set to TRUE to shut down thread More...

## Field Documentation

int lives_audio_buf_t::_cachans

current output channels

int lives_audio_buf_t::_casamps

current out_asamps

ssize_t lives_audio_buf_t::_cbytesize

current _filebuffer bytesize; if this changes we need to realloc _filebuffer

int lives_audio_buf_t::_cfileno

current fileno

int lives_audio_buf_t::_cin_interleaf

int lives_audio_buf_t::_cout_interleaf

size_t lives_audio_buf_t::_csamp_space

current sample buffer size in single channel samples

int lives_audio_buf_t::_cseek

current seek pos

int lives_audio_buf_t::_fd

file descriptor

uint8_t* lives_audio_buf_t::_filebuffer

raw data to/from file - can be cast to int16_t

double lives_audio_buf_t::arate

short** lives_audio_buf_t::buffer16

sample data in 16 bit format (or NULL)

int32_t** lives_audio_buf_t::buffer24

sample data in 24 bit format (or NULL)

int32_t** lives_audio_buf_t::buffer32

sample data in 32 bit format (or NULL)

uint8_t** lives_audio_buf_t::buffer8

sample data in 8 bit format (or NULL)

float** lives_audio_buf_t::bufferf

sample data in float format (or NULL)

ssize_t lives_audio_buf_t::bytesize

volatile boolean lives_audio_buf_t::die

set to TRUE to shut down thread

boolean lives_audio_buf_t::eof

did we read EOF ? [readonly by client]

int lives_audio_buf_t::fileno

int lives_audio_buf_t::in_achans

channels for _filebuffer side

int lives_audio_buf_t::in_asamps

boolean lives_audio_buf_t::in_interleaf

volatile boolean lives_audio_buf_t::is_ready

lives_operation_t lives_audio_buf_t::operation

int lives_audio_buf_t::out_achans

channels for buffer* side

int lives_audio_buf_t::out_asamps

boolean lives_audio_buf_t::out_interleaf

boolean lives_audio_buf_t::s16_signed

boolean lives_audio_buf_t::s24_signed

boolean lives_audio_buf_t::s32_signed

boolean lives_audio_buf_t::s8_signed

size_t lives_audio_buf_t::samp_space

buffer space in samples (* by sizeof(type) to get bytesize) [if interleaf, also * by chans]

size_t lives_audio_buf_t::samples_filled

number of samples filled (readonly client)

off_t lives_audio_buf_t::seek

double lives_audio_buf_t::shrink_factor

resampling ratio

size_t lives_audio_buf_t::start_sample

used for reading (readonly server)

weed_timecode_t lives_audio_buf_t::start_tc

int lives_audio_buf_t::swap_endian

int lives_audio_buf_t::swap_sign

The documentation for this struct was generated from the following file:

- src/audio.h